﻿.body {
  background-color: #d9d8d3;
  color: #000;
  font-family: serif;
}

@media (min-width: 960px) {
  .body {
    width: 870px;
    left: calc((100% - 870px)/2);
    right: calc((100% - 870px)/2);
    border-left: 1px solid #666;
    border-right: 1px solid #333;
    /*transform: translateX(-50%);*/
  }

  .m-navbar {
    width: 869px;
    border-right: 1px solid #666;
  }
}

.m-title,
.m-cart-any {
  font-family: "Roboto", sans-serif;
}

html, body {
  background-color: #333;
}


a, a:visited {
  color: #9d6e46;
}

a:hover {
  color: #9d6e46;
}

.m-h5 {
  color: #9d6e46;
}

.m-menu-section-title {
  font-size: 20px;
  font-weight: 400;
  text-align: center;
  /*color: #9d6e46;*/
  letter-spacing: 0.05em;
  color: #333;
}


.m-menu-section {
  margin-top: 15px;
  padding-bottom: 15px;
  margin-bottom: 0px;
}

.m-menu-section.bottom-border {
  border-bottom: 1px dotted #9d6e46;
}


.m-menu-item {
  border-bottom: 1px solid #333;
  font-family: 'Roboto', sans-serif;
}

.m-menu-item:first-of-type {
  border-color: #333;
}

@media (max-width: 766px) {
  .col-12:first-child .m-menu-item:last-child {
    border-bottom: none;
  }
}

.m-menu-item-thumb {
  background-color: #000;
  background-size: contain;
}

.m-menu-item-description {
  font-size: 0.9rem;
  color: #9d6e46;
}

.m-item-popup {
  font-family: 'Roboto', sans-serif;
}

.m-item-popup-price {
  color: #000 !important;
  margin-top: 0.5em;
  font-weight: 700;
}

.m-item-popup-photo {
  display: none !important;
}

.m-item-popup-photo-custom {
  display: block !important;
}

img.m-logo {
  height: 42px;
}

.m-menu-banner {
  border-bottom: none;
  padding-bottom: 114% !important;
  background-color: #000;
  background-size: cover;
  background-position: center center;
  height: 210px;
}

.m-menu-banner-title {
  display: none;
}



.m-menu-item {
  padding-top: 2px;
  padding-bottom: 5px;
}

.m-menu-item .d-flex.flex-row+.d-flex.flex-row {
  margin-top: 0.25em;
}

.m-menu-item .d-flex.flex-row .text-right {
  padding-top: 0.125em;
  font-size: 0.9rem;
}

.m-menu-item .d-flex.flex-row .m-menu-item-price {
  min-width: 64px;
}

.m-menu-section-cover {
  height: auto;
  padding-bottom: 120%;
  border: 1px solid #666;
}


.m-navbar {
  background-color: #000;
  color: #fff;
  border-bottom: 1px solid #666;
}

.m-title {
  color: #fff;
  font-weight: 400;
  font-size: 1.5rem;
  letter-spacing: 0.05em;
}

.m-navbar-button:hover {
  background-color: #333;
}

.m-navbar-button-right {
  border-left: 1px solid #666;
}

.m-navbar-button-left {
  border-right: 1px solid #666;
}

.m-navbar-button-icon {
  color: #ccc;
}

.m-menu-item:hover {
  background-color: #ffffff44;
}

.m-item-popup-window {
  background-color: #d9d8d3;
}

.m-item-popup-close {
  background-color: #000;
  color: #CCC;
}

.m-item-popup-photo {
  display: none;
  /* border: 1px solid #333; */
  /* padding-bottom: 100%; */
}

.m-item-popup-photo-custom {
  display: block !important;
  /*  border: 1px solid #999;*/
}


#we-qty {
  border-width: 0 !important;
  background-color: #FFF;
}

.m-cart-list {
  color: #000;
}

.table td, .table th {
  border-color: #333 !important;
}

.m-footer {
  background-color: #333;
  color: #CCC;
  border-top: 1px solid #333;
  border-bottom: 1px solid #333;
}


.card {
  border-color: #333;
}

.card-header {
  background-color: #333;
  color: #fff;
}

.card-body {
  background-color: transparent;
}

.form-control {
  background-color: #FFF;
}

.custom-select {
  background-color: #CCC;
}

.list-group-item {
  background-color: #FFF;
  border-color: #666;
}

.input-group-text {
  background-color: #FFF;
  border-color: #9d6e46 !important;
  color: #9d6e46 !important;
}

.text-muted {
  color: #333 !important;
}

.bs-callout {
  background-color: #111;
  color: #ccc;
  font-size: 0.875rem;
  padding: 0.5em;
}

.bs-callout-success {
  border-left: 5px solid #9d6e46;
  border-right: 5px solid #9d6e46;
}

.text-primary {
  color: #9d6e46 !important;
}

.m-item-popup-sum {
  color: #9d6e46 !important;
}

.bg-primary {
  background-color: #9d6e46 !important;
  color: #FFF !important;
}

.btn-primary {
  background-color: #9d6e46 !important;
  border-color: #9d6e46 !important;
  color: #FFF;
}

.border-primary {
  border-color: #9d6e46 !important;
}

.m-cart-counter {
  background-color: #9d6e46 !important;
  color: #fff;
  font-family: "Roboto", sans-serif;
  font-size: 15px;
  line-height: 1;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 2px;
}

.custom-control-input:checked~.custom-control-label::before {
  border-color: #9d6e46 !important;
  background-color: #9d6e46 !important;
}

/** focus shadow pinkish **/
.custom-control-input:focus~.custom-control-label::before {
  box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem #9d6e46;
}

/*---*/

.card, .m-footer {
  font-family: 'Roboto', sans-serif;
}

.m-menu-item-thumb {
  width: 70px;
  flex: 0 0 70px;
  height: 70px;
  border: 1px solid #999;
}

/*LANG*/

.lang-switches {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #999;
  font-family: "Roboto", sans-serif;
}

.lang-switch {
  flex: 0 0 50%;
  text-align: center;
  font-weight: 700;
  padding: 0.75em 0 0.65em 0;
  color: #345;
  cursor: pointer;
}

.lang-switch * {
  opacity: 0.4;
}

.lang-switch.active {
  background-color: #f0f0f0;
}

.lang-switch.active * {
  opacity: 1;
}

.lang-switch:hover {
  background-color: #f0f0f0;
}

.lang-switch+.lang-switch {
  border-left: 1px solid #999;
}

.lang-switch img {
  position: relative;
  display: inline-block;
  height: 1.5rem;
  vertical-align: middle;
  bottom: 2px;
}

.m-menu-section[data-lang="en"] {
  display: none;
}

/*SEARCH*/

.m-search {
  /*margin-left: -15px;
    margin-right: -15px;*/
  padding: 10px 15px 5px 15px;
  /*border-bottom: 1px solid #ccc;*/
}

#m-query {
  display: block;
  width: 100%;
  outline: none;
  border: 1px solid #999;
  border-radius: 4px;
  padding: 0.35em 0.5em;
  font-family: "Roboto", sans-serif;
  background-color: #f0f0f0;
}

#m-query::placeholder {
  color: #aaa;
}

#m-query:focus {
  border-color: #666;
  background-color: #fff;
}

.m-search-results {
  /*margin-left: -15px;
    margin-right: -15px;*/
  display: none;
  padding-left: 15px;
  padding-right: 15px;
  border-bottom: 1px solid #333;
  margin-bottom: 1rem;
}

.m-search-results .m-menu-item:last-child {
  border-bottom: 1px solid #ccc;
}

/* PHOTOGALLERY */

.photo-gallery {
  margin: 1rem -5px 1rem 0;
}

.photo-gallery .photo-gallery-item {
  display: inline-block;
  margin: 0 5px 5px 0;
  --img-size: calc((100vw - 35px)/3 - 10px);
  width: var(--img-size);
  height: var(--img-size);
  background-color: #000;
  overflow: hidden;
  position: relative;
  cursor: pointer;
}

@media (min-width: 540px) {
  .photo-gallery .photo-gallery-item {
    --img-size: calc((100vw - 35px)/4 - 10px);
  }
}

@media (min-width: 960px) {
  .photo-gallery .photo-gallery-item {
    --img-size: 205px;
  }
}

.photo-gallery .photo-gallery-item img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* Fullscreen viewer styles */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  z-index: 8888;
  display: none;
  justify-content: center;
  align-items: center;
}

.overlay.active {
  display: flex;
}

.image-container {
  position: relative;
  max-width: 98%;
  max-height: 98%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.image-container img {
  max-width: 100%;
  max-height: 100vh;
  object-fit: contain;
}

.nav-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.3);
  border: none;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer;
  opacity: 0.7;
  transition: opacity 0.2s;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-btn:hover {
  opacity: 1;
}

.nav-btn i {
  color: white;
  font-size: 20px;
}

.prev-btn {
  left: 5px;
}

.next-btn {
  right: 5px;
}

body.no-scroll {
  overflow: hidden;
}

/* menu item likes */

.m-menu-item-likes {
  margin-top: 0.25rem;
  font-size: 0.75rem;
  font-weight: 400;
  text-align: center;
  color: #9d6e46;

  background-color: #9d6e4611;
  padding: 0.125em 0.25em;
  border: 1px solid #9d6e46;
  border-radius: 0.25em;
}